gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Interfaces.ToolShell

Contents

- Exported types
- Methods
  - getEllipsizeMode
  - getIconSize
  - getOrientation
  - getReliefStyle
  - getStyle
  - getTextAlignment
  - getTextOrientation
  - getTextSizeGroup
  - rebuildMenu

Description

The `ToolShell` interface allows container widgets to provide additional information when embedding `ToolItem` widgets.

Synopsis

- newtype ToolShell = ToolShell (ManagedPtr ToolShell)
- class (GObject o, IsDescendantOf ToolShell o) => IsToolShell o
- toToolShell :: (MonadIO m, IsToolShell o) => o -> m ToolShell
- toolShellGetEllipsizeMode :: (HasCallStack, MonadIO m, IsToolShell a) => a -> m EllipsizeMode
- toolShellGetIconSize :: (HasCallStack, MonadIO m, IsToolShell a) => a -> m Int32
- toolShellGetOrientation :: (HasCallStack, MonadIO m, IsToolShell a) => a -> m Orientation
- toolShellGetReliefStyle :: (HasCallStack, MonadIO m, IsToolShell a) => a -> m ReliefStyle
- toolShellGetStyle :: (HasCallStack, MonadIO m, IsToolShell a) => a -> m ToolbarStyle
- toolShellGetTextAlignment :: (HasCallStack, MonadIO m, IsToolShell a) => a -> m Float
- toolShellGetTextOrientation :: (HasCallStack, MonadIO m, IsToolShell a) => a -> m Orientation
- toolShellGetTextSizeGroup :: (HasCallStack, MonadIO m, IsToolShell a) => a -> m SizeGroup
- toolShellRebuildMenu :: (HasCallStack, MonadIO m, IsToolShell a) => a -> m ()

# Exported types

newtype ToolShell Source #

Memory-managed wrapper type.

Constructors

ToolShell (ManagedPtr ToolShell) |

#### Instances

Instances details

Eq ToolShell Source # |
Instance details Defined in GI.Gtk.Interfaces.ToolShell Methods (==) :: ToolShell -> ToolShell -> Bool Source # (/=) :: ToolShell -> ToolShell -> Bool Source #
GObject ToolShell Source # |
Instance details Defined in GI.Gtk.Interfaces.ToolShell
ManagedPtrNewtype ToolShell Source # |
Instance details Defined in GI.Gtk.Interfaces.ToolShell Methods toManagedPtr :: ToolShell -> ManagedPtr ToolShell Source #
TypedObject ToolShell Source # |
Instance details Defined in GI.Gtk.Interfaces.ToolShell Methods glibType :: IO GType Source #
HasParentTypes ToolShell Source # |
Instance details Defined in GI.Gtk.Interfaces.ToolShell
IsGValue (Maybe ToolShell) Source # | Convert `ToolShell` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Interfaces.ToolShell Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ToolShell -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ToolShell) Source #
type ParentTypes ToolShell Source # |
Instance details Defined in GI.Gtk.Interfaces.ToolShell type ParentTypes ToolShell = '[Widget, Object]

class (GObject o, IsDescendantOf ToolShell o) => IsToolShell o Source #

Type class for types which can be safely cast to `ToolShell`, for instance with `toToolShell`.

#### Instances

Instances details

(GObject o, IsDescendantOf ToolShell o) => IsToolShell o Source # |
Instance details Defined in GI.Gtk.Interfaces.ToolShell

toToolShell :: (MonadIO m, IsToolShell o) => o -> m ToolShell Source #

Cast to `ToolShell`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

activate, addAccelerator, addChild, addDeviceEvents, addEvents, addMnemonicLabel, addTickCallback, bindProperty, bindPropertyFull, canActivateAccel, childFocus, childNotify, classPath, computeExpand, constructChild, createPangoContext, createPangoLayout, customFinished, customTagEnd, customTagStart, destroy, destroyed, deviceIsShadowed, dragBegin, dragBeginWithCoordinates, dragCheckThreshold, dragDestAddImageTargets, dragDestAddTextTargets, dragDestAddUriTargets, dragDestFindTarget, dragDestGetTargetList, dragDestGetTrackMotion, dragDestSet, dragDestSetProxy, dragDestSetTargetList, dragDestSetTrackMotion, dragDestUnset, dragGetData, dragHighlight, dragSourceAddImageTargets, dragSourceAddTextTargets, dragSourceAddUriTargets, dragSourceGetTargetList, dragSourceSet, dragSourceSetIconGicon, dragSourceSetIconName, dragSourceSetIconPixbuf, dragSourceSetIconStock, dragSourceSetTargetList, dragSourceUnset, dragUnhighlight, draw, ensureStyle, errorBell, event, forceFloating, freezeChildNotify, freezeNotify, getv, grabAdd, grabDefault, grabFocus, grabRemove, hasDefault, hasFocus, hasGrab, hasRcStyle, hasScreen, hasVisibleFocus, hide, hideOnDelete, inDestruction, initTemplate, inputShapeCombineRegion, insertActionGroup, intersect, isAncestor, isComposited, isDrawable, isFloating, isFocus, isSensitive, isToplevel, isVisible, keynavFailed, listAccelClosures, listActionPrefixes, listMnemonicLabels, map, mnemonicActivate, modifyBase, modifyBg, modifyCursor, modifyFg, modifyFont, modifyStyle, modifyText, notify, notifyByPspec, overrideBackgroundColor, overrideColor, overrideCursor, overrideFont, overrideSymbolicColor, parserFinished, path, queueAllocate, queueComputeExpand, queueDraw, queueDrawArea, queueDrawRegion, queueResize, queueResizeNoRedraw, realize, rebuildMenu, ref, refSink, regionIntersect, registerWindow, removeAccelerator, removeMnemonicLabel, removeTickCallback, renderIcon, renderIconPixbuf, reparent, resetRcStyles, resetStyle, runDispose, sendExpose, sendFocusChange, shapeCombineRegion, show, showAll, showNow, sizeAllocate, sizeAllocateWithBaseline, sizeRequest, stealData, stealQdata, styleAttach, styleGetProperty, thawChildNotify, thawNotify, translateCoordinates, triggerTooltipQuery, unmap, unparent, unrealize, unref, unregisterWindow, unsetStateFlags, watchClosure.

#### Getters

getAccessible, getActionGroup, getAllocatedBaseline, getAllocatedHeight, getAllocatedSize, getAllocatedWidth, getAllocation, getAncestor, getAppPaintable, getCanDefault, getCanFocus, getChildRequisition, getChildVisible, getClip, getClipboard, getCompositeName, getData, getDeviceEnabled, getDeviceEvents, getDirection, getDisplay, getDoubleBuffered, getEllipsizeMode, getEvents, getFocusOnClick, getFontMap, getFontOptions, getFrameClock, getHalign, getHasTooltip, getHasWindow, getHexpand, getHexpandSet, getIconSize, getInternalChild, getMapped, getMarginBottom, getMarginEnd, getMarginLeft, getMarginRight, getMarginStart, getMarginTop, getModifierMask, getModifierStyle, getName, getNoShowAll, getOpacity, getOrientation, getPangoContext, getParent, getParentWindow, getPath, getPointer, getPreferredHeight, getPreferredHeightAndBaselineForWidth, getPreferredHeightForWidth, getPreferredSize, getPreferredWidth, getPreferredWidthForHeight, getProperty, getQdata, getRealized, getReceivesDefault, getReliefStyle, getRequestMode, getRequisition, getRootWindow, getScaleFactor, getScreen, getSensitive, getSettings, getSizeRequest, getState, getStateFlags, getStyle, getStyleContext, getSupportMultidevice, getTemplateChild, getTextAlignment, getTextOrientation, getTextSizeGroup, getTooltipMarkup, getTooltipText, getTooltipWindow, getToplevel, getValign, getValignWithBaseline, getVexpand, getVexpandSet, getVisible, getVisual, getWindow.

#### Setters

setAccelPath, setAllocation, setAppPaintable, setBuildableProperty, setCanDefault, setCanFocus, setChildVisible, setClip, setCompositeName, setData, setDataFull, setDeviceEnabled, setDeviceEvents, setDirection, setDoubleBuffered, setEvents, setFocusOnClick, setFontMap, setFontOptions, setHalign, setHasTooltip, setHasWindow, setHexpand, setHexpandSet, setMapped, setMarginBottom, setMarginEnd, setMarginLeft, setMarginRight, setMarginStart, setMarginTop, setName, setNoShowAll, setOpacity, setParent, setParentWindow, setProperty, setRealized, setReceivesDefault, setRedrawOnAllocate, setSensitive, setSizeRequest, setState, setStateFlags, setStyle, setSupportMultidevice, setTooltipMarkup, setTooltipText, setTooltipWindow, setValign, setVexpand, setVexpandSet, setVisible, setVisual, setWindow.

## getEllipsizeMode

toolShellGetEllipsizeMode Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolShell a) |
=> a | `shell`: a `ToolShell`
-> m EllipsizeMode | Returns: the current ellipsize mode of `shell`

Retrieves the current ellipsize mode for the tool shell. Tool items must not call this function directly, but rely on `toolItemGetEllipsizeMode` instead.

Since: 2.20

## getIconSize

toolShellGetIconSize Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolShell a) |
=> a | `shell`: a `ToolShell`
-> m Int32 | Returns: the current size (t`IconSize`) for icons of `shell`

Retrieves the icon size for the tool shell. Tool items must not call this function directly, but rely on `toolItemGetIconSize` instead.

Since: 2.14

## getOrientation

toolShellGetOrientation Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolShell a) |
=> a | `shell`: a `ToolShell`
-> m Orientation | Returns: the current orientation of `shell`

Retrieves the current orientation for the tool shell. Tool items must not call this function directly, but rely on `toolItemGetOrientation` instead.

Since: 2.14

## getReliefStyle

toolShellGetReliefStyle Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolShell a) |
=> a | `shell`: a `ToolShell`
-> m ReliefStyle | Returns: The relief style of buttons on `shell`.

Returns the relief style of buttons on `shell`. Tool items must not call this function directly, but rely on `toolItemGetReliefStyle` instead.

Since: 2.14

## getStyle

toolShellGetStyle Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolShell a) |
=> a | `shell`: a `ToolShell`
-> m ToolbarStyle | Returns: the current style of `shell`

Retrieves whether the tool shell has text, icons, or both. Tool items must not call this function directly, but rely on `toolItemGetToolbarStyle` instead.

Since: 2.14

## getTextAlignment

toolShellGetTextAlignment Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolShell a) |
=> a | `shell`: a `ToolShell`
-> m Float | Returns: the current text alignment of `shell`

Retrieves the current text alignment for the tool shell. Tool items must not call this function directly, but rely on `toolItemGetTextAlignment` instead.

Since: 2.20

## getTextOrientation

toolShellGetTextOrientation Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolShell a) |
=> a | `shell`: a `ToolShell`
-> m Orientation | Returns: the current text orientation of `shell`

Retrieves the current text orientation for the tool shell. Tool items must not call this function directly, but rely on `toolItemGetTextOrientation` instead.

Since: 2.20

## getTextSizeGroup

toolShellGetTextSizeGroup Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolShell a) |
=> a | `shell`: a `ToolShell`
-> m SizeGroup | Returns: the current text size group of `shell`

Retrieves the current text size group for the tool shell. Tool items must not call this function directly, but rely on `toolItemGetTextSizeGroup` instead.

Since: 2.20

## rebuildMenu

toolShellRebuildMenu Source #

Arguments

:: (HasCallStack, MonadIO m, IsToolShell a) |
=> a | `shell`: a `ToolShell`
-> m () |

Calling this function signals the tool shell that the overflow menu item for tool items have changed. If there is an overflow menu and if it is visible when this function it called, the menu will be rebuilt.

Tool items must not call this function directly, but rely on `toolItemRebuildMenu` instead.

Since: 2.14